#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		rname	QtX11Extras
#-----------------------------------------------------------------------------
Name		:	qtspeech
Version		:	5.15.11
Release		:	14.8.0.0%{?dist}
Summary		:	Qt5 - Speech component

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://download.qt.io/archive/qt/(vers/rel)/submodules

Source0		:	%{name}-everywhere-opensource-src-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	cmake
BuildRequires	:	qt		=	%{version}

#-----------------------------------------------------------------------------
%description
The module enables a Qt application to support
accessibility features such as text-to-speech,
which is useful for end-users who are visually
challenged or cannot access the application for
whatever reason. The most common use case where
text-to-speech comes in handy is when the end-user
is driving and cannot attend the incoming messages
on the phone. In such a scenario, the messaging
application can read out the incoming message.
Qt Serial Port provides the basic functionality,
which includes configuring, I/O operations,
getting and setting the control signals of the
RS-232 pinouts.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_libdir}/libQt5TextToSpeech.so.5*


#=============================================================================
%package		speechd
Summary		:	Development files for %{name}

Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		speechd
%{summary}.

#-----------------------------------------------------------------------------
%files			speechd
%defattr(-,root,root,-)
#=============================================================================
%package		devel
Summary		:	Development files for %{name}

Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
%{summary}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/QtTextToSpeech/%{version}/QtTextToSpeech/private/*.h
%{_includedir}/QtTextToSpeech/*.h
%{_includedir}/QtTextToSpeech/QtTextToSpeech*
%{_includedir}/QtTextToSpeech/QTextToSpeech*
%{_includedir}/QtTextToSpeech/QVoice
%{_libdir}/libQt5TextToSpeech.so
%{_libdir}/libQt5TextToSpeech.prl
%{_libdir}/cmake/Qt5TextToSpeech/Qt5TextToSpeechConfig*.cmake
%{_libdir}/pkgconfig/Qt5TextToSpeech.pc
%{_datadir}/mkspecs/modules/qt_lib_texttospeech*.pri

#=============================================================================
%prep
%setup -q -n %{name}-everywhere-src-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build
pushd build

qmake								\
	"CONFIG+=debug"						\
	..							\
	--

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

popd
#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	INSTALL_ROOT="%{buildroot}"				\
	install

# Drop QMAKE_PRL_BUILD_DIR because reference the build dir
find "$pkgdir/usr/lib" -type f -name '*.prl'			\
    -exec sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' {} \;

#To remove libtool library
find 								\
	%{buildroot}%{_libdir}					\
	-name \*.la						\
	-delete

#-----------------------------------------------------------------------------
%changelog
